io.vertx.rxjava.ext.auth.oauth2.providers

## Class HerokuAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.oauth2.providers.HerokuAuth

-     public class HerokuAuth
      extends Object

  Simplified factory to create an for Heroku.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<HerokuAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HerokuAuth(HerokuAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for Heroku
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for live.com
    `HerokuAuth` | `getDelegate()`
    `static HerokuAuth` | `newInstance(HerokuAuth arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<HerokuAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### HerokuAuth

          public HerokuAuth(HerokuAuth delegate)

  - ### Method Detail

    - #### getDelegate

          public HerokuAuth getDelegate()

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for Heroku
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Heroku
        `clientSecret` - the client secret given to you by Heroku
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for live.com
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Heroku
        `clientSecret` - the client secret given to you by Heroku
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static HerokuAuth newInstance(HerokuAuth arg)

Copyright © 2017. All rights reserved.